## python-ecobee-api 0.3.0

=== requirements.txt ===
requests>=2,<3

## python-ecobee-api 0.2.20

=== debian/changelog ===
python-ecobee-api (0.2.20-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 03 Nov 2024 17:20:55 +0100

python-ecobee-api (0.2.19-3) unstable; urgency=medium

  * Team upload.
  * Added missing build-depends on python3-setuptools (Closes: #1080738).

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Sep 2024 12:26:12 +0200

python-ecobee-api (0.2.19-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Fri, 23 Aug 2024 07:22:53 +0100

python-ecobee-api (0.2.19-1) unstable; urgency=medium

  * Initial release. (Closes: #1079133)

 -- Edward Betts <edward@4angle.com>  Tue, 20 Aug 2024 12:51:09 +0100

=== debian/control ===
Source: python-ecobee-api
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/nkgilley/python-ecobee-api
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-ecobee-api
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-ecobee-api.git

Package: python3-ecobee-api
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library for controlling Ecobee3 Wi-Fi thermostats
 This library allows for the control and management of Ecobee3 Wi-Fi
 thermostats. It communicates with the Ecobee API to provide functionalities
 such as adjusting temperatures, setting modes, and retrieving sensor data.
 This enables integration with home automation systems for comprehensive
 control over home heating and cooling solutions.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=python-ecobee-api


%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf python_ecobee_api.egg-info/

override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-ecobee-api-$1\.tar\.gz/ \
  https://github.com/nkgilley/python-ecobee-api/tags .*/v?(\d\S+)\.tar\.gz

## python-ecobee-api 0.3.0

=== debian/changelog ===
python-ecobee-api (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Thu, 29 May 2025 18:32:49 -0500

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-all,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/nkgilley/python-ecobee-api
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-ecobee-api
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-ecobee-api.git

## python-ecobee-api 0.3.1

=== debian/changelog ===
python-ecobee-api (0.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 28 Aug 2025 10:36:18 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,8 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
+Build-Depends-Indep:
+ python3-requests <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/nkgilley/python-ecobee-api

=== debian/watch ===
version=4
https://github.com/nkgilley/python-ecobee-api/tags .*/v?(\d\S+)\.tar\.gz

## python-ecobee-api 0.3.2

=== debian/changelog ===
python-ecobee-api (0.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Improve package description.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Sun, 21 Dec 2025 09:59:27 +0000

=== debian/control ===
Source: python-ecobee-api
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-requests <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://github.com/nkgilley/python-ecobee-api
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-ecobee-api
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-ecobee-api.git

Package: python3-ecobee-api
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library for interacting with Ecobee Wi-Fi thermostats and sensors
 This library provides an interface to Ecobee's cloud API, enabling
 communication with Ecobee Wi-Fi thermostats and associated sensors. It
 supports remote monitoring and control of thermostat settings, including
 temperature and HVAC mode, as well as reading sensor data such as temperature
 and occupancy. Users can manage schedules, climate presets, and vacation
 modes, adjust fan and humidifier settings, and interact with connected
 accessories like ventilators and auxiliary heat systems.

=== debian/watch ===
Version: 5

Template: Github
Owner: nkgilley
Project: python-ecobee-api
